Page MenuHomePhabricator

elm: rename elm_multibuttonentry to Efl.Ui.Multibuttonentry
ClosedPublic

Authored by CHAN on Sep 6 2017, 5:33 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
CHAN created this revision.Sep 6 2017, 5:33 AM
CHAN edited the summary of this revision. (Show Details)Sep 6 2017, 5:34 AM
CHAN updated this revision to Diff 12199.Sep 6 2017, 5:43 AM

Code clean up.

CHAN added reviewers: jpeg, cedric.
CHAN edited reviewers, added: Jaehyun_Cho; removed: Jaehyun.Sep 8 2017, 12:06 AM
bu5hm4n added a subscriber: bu5hm4n.Sep 8 2017, 2:44 AM
bu5hm4n added inline comments.
src/lib/elementary/efl_ui_multibuttonentry.eo
4

Hey ho,

I just took a very quick look on how this errormessage could happen (the one @CHAN) postet me on slack, and it appears that with the inheritance of Efl.Ui.Text this widget also inherits from the scrollable interface, which means that every widget that has this MBE as parent will try to register itself in the mutlibuttonentry since that appears to implement the efl.ui.focus.manager interface. But something in the way of constructing went wrong ... there is no manager behind this logic ... and thus the error message.

If you have questions why it is like this, feel free to ask :)

Jaehyun_Cho added inline comments.Sep 10 2017, 10:51 PM
src/lib/elementary/efl_ui_multibuttonentry.c
8

Please remove this. This is defined in elementary_config.h

Please apply indentation to all files.

src/lib/elementary/efl_ui_multibuttonentry.c
132

Indentation is not applied here.

134

This is handled by the "entry.swallow" part.

161

Indentation is not applied here.

161

This is only for elm_box_pack_end().

900

Indentation is not applied here.

927

Indentation is not applied here.

CHAN updated this revision to Diff 12235.Sep 11 2017, 9:42 PM
CHAN marked 8 inline comments as done.

Code clean up.

CHAN added a subscriber: Jaehyun.Sep 11 2017, 9:49 PM

@bu5hm4n @Jaehyun Thanks for giving review here.

CHAN updated this revision to Diff 12236.Sep 11 2017, 9:56 PM

Code clean up.

Since this is the patch to refactoring multibuttonentry, please apply indentation to all source code and remove unnecessary brackets in multibuttonentry.

src/lib/elementary/efl_ui_multibuttonentry.c
1770

Please remove these brackets.

1771

Please apply indentation here.

2006

Please apply indentation here.

src/lib/elementary/efl_ui_multibuttonentry_private.h
91

Please align this variable to other variables ^^;

Is there any reason why you remove focused_it?

By removing focused_it, "focused" and "selected" become the same meaning here.

CHAN updated this revision to Diff 12251.Sep 13 2017, 1:02 AM
CHAN marked 4 inline comments as done.

Code clean up.

Please check the comments

src/lib/elementary/efl_ui_multibuttonentry.c
351

Is there any reason why you remove focused flag?

Since the "focused" flag is removed, the below logics are executed even if the below logics are already applied.

367

Is there any reason why this code is removed?

1493–1494

Please remove this line

1499

Please remove unused codes.

CHAN updated this revision to Diff 12259.Sep 13 2017, 11:22 PM
CHAN marked 2 inline comments as done.

Code clean up.

Reply on the comments.

CHAN added a comment.Sep 13 2017, 11:39 PM

Add comments

src/lib/elementary/efl_ui_multibuttonentry.c
351

This code is kind of work-around code.

When unfocused case the logic is never executed because of the focus flag.
(sd->focused is alway true in that case)

367

This is not need on current UX.

When entry lose focus the text will be changed to item.

Jaehyun_Cho accepted this revision.Sep 15 2017, 1:13 AM
This revision is now accepted and ready to land.Sep 15 2017, 1:13 AM
jpeg added a comment.Oct 18 2017, 4:08 AM

This is old... Can not apply anymore. You should seriously rebase your code every day... Not doing it regularly makes it much much much harder later when there are more conflicts.

Now I am rebasing this.. ;)

Closed by commit rEFL6c3bc915dfcc: elm: rename elm_multibuttonentry to Efl.Ui.Multibuttonentry (authored by Woochan Lee <wc0917.lee@samsung.com>, committed by Jean-Philippe Andre <jp.andre@samsung.com>). · Explain WhyOct 24 2017, 12:21 AM
This revision was automatically updated to reflect the committed changes.